RMM: device management
Device management (MDM) for Linux devices: configuration profiles and baselines, and which devices, sites or groups they apply to. MSP technicians can manage a customer's policies with ?tenant=<id> when the partnership allows it.
| Method | Path | Summary |
|---|---|---|
| GET | /v1/admin/rmm/${base}/sites | This organisation's own RMM sites and who manages each one's devices (RMM2's site picker): the linked customer while its partnership lets us manage its devic… |
| GET | /v1/admin/rmm/${base}/baselines | List baselines |
| POST | /v1/admin/rmm/${base}/baselines | Create a baseline |
| PUT | /v1/admin/rmm/${base}/baselines/:id | Update a baseline |
| DELETE | /v1/admin/rmm/${base}/baselines/:id | Delete a baseline |
| PUT | /v1/admin/rmm/${base}/baselines/:id/targets | Which organisations the baseline is deployed to (replaces the list) |
#This organisation's own RMM sites and who manages each one's devices (RMM2's site picker): the linked customer while its partnership lets us manage its devic…
GET
/v1/admin/rmm/${base}/sitesThis organisation's own RMM sites and who manages each one's devices (RMM2's site picker): the linked customer while its partnership lets us manage its device policies, otherwise us.
- Address
https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/sites- Requires
- None: public, or protected by a token in the address or body.
Response 200
| Field | Type | Description |
|---|---|---|
sites | array of any |
Example response
JSON
{
"sites": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/sites' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/sites', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/sites",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/sites' -Headers $headers#List baselines
GET
/v1/admin/rmm/${base}/baselines- Address
https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines- Requires
- None: public, or protected by a token in the address or body.
Response 200
| Field | Type | Description |
|---|---|---|
baselines | array of object | |
baselines[].id | integer | |
baselines[].name | string | |
baselines[].description | string | |
baselines[].updated_by | any | |
baselines[].updated_at | string (date-time) | |
baselines[].profiles | array of any | |
baselines[].targets | array of any | |
available_targets | array of any | |
default_priority | any |
Example response
JSON
{
"baselines": [
{
"id": 42,
"name": "Example name",
"description": "string",
"updated_by": null,
"updated_at": "2026-11-12T09:30:00.000Z",
"profiles": [],
"targets": []
}
],
"available_targets": [],
"default_priority": null
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines' -Headers $headers#Create a baseline
POST
/v1/admin/rmm/${base}/baselines- Address
https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines- Requires
- None: public, or protected by a token in the address or body.
Request body JSON
| Name | Type | Description |
|---|---|---|
name | string | |
description | string |
Response 201
| Field | Type | Description |
|---|---|---|
id | integer |
Example response
JSON
{
"id": 42
}Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Example name","description":"string"}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"name":"Example name","description":"string"}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"name":"Example name","description":"string"},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"name":"Example name","description":"string"}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines' -Headers $headers -ContentType 'application/json' -Body $body#Update a baseline
PUT
/v1/admin/rmm/${base}/baselines/:id- Address
https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/:id- Requires
- None: public, or protected by a token in the address or body.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Request body JSON
| Name | Type | Description |
|---|---|---|
name | string | |
description | string |
Response 200
| Field | Type | Description |
|---|---|---|
id | integer |
Example response
JSON
{
"id": 42
}Example request
Bash
curl -X PUT 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Example name","description":"string"}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42', {
method: 'PUT',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"name":"Example name","description":"string"}),
});
const data = await res.json();Python
import os, requests
r = requests.put(
"https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"name":"Example name","description":"string"},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"name":"Example name","description":"string"}'
Invoke-RestMethod -Method PUT -Uri 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42' -Headers $headers -ContentType 'application/json' -Body $body#Delete a baseline
DELETE
/v1/admin/rmm/${base}/baselines/:id- Address
https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/:id- Requires
- None: public, or protected by a token in the address or body.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Response 200
| Field | Type | Description |
|---|---|---|
message | string |
Example response
JSON
{
"message": "Saved"
}Example request
Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42', {
method: 'DELETE',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.delete(
"https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method DELETE -Uri 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42' -Headers $headers#Which organisations the baseline is deployed to (replaces the list)
PUT
/v1/admin/rmm/${base}/baselines/:id/targets- Address
https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/:id/targets- Requires
- None: public, or protected by a token in the address or body.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Request body JSON
| Name | Type | Description |
|---|---|---|
tenant_ids | array of any |
Response 200
| Field | Type | Description |
|---|---|---|
tenant_ids | array of any |
Example response
JSON
{
"tenant_ids": []
}Example request
Bash
curl -X PUT 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42/targets' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"tenant_ids":[]}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42/targets', {
method: 'PUT',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"tenant_ids":[]}),
});
const data = await res.json();Python
import os, requests
r = requests.put(
"https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42/targets",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"tenant_ids":[]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"tenant_ids":[]}'
Invoke-RestMethod -Method PUT -Uri 'https://<your-org>.brambleit.cloud/api/v1/admin/rmm/${base}/baselines/42/targets' -Headers $headers -ContentType 'application/json' -Body $bodyWas this page helpful?
Thanks for your feedback.